Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.util
Class RegExComparator.RegExParsingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException
                              |
                              +--org.netbeans.jemmy.util.RegExComparator.RegExParsingException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RegExComparator

public static class RegExComparator.RegExParsingException
extends JemmyException

Thrown in case of parsing error.

See Also:
  Serialized Form

Constructor Summary
`RegExComparator.RegExParsingException(java.lang.String message)` Constructs a RegExComparator$RegExParsingException object.
`RegExComparator.RegExParsingException(java.lang.String message, java.lang.Exception innerException)` Constructs a RegExComparator$RegExParsingException object.

Methods inherited from class org.netbeans.jemmy.JemmyException
`getInnerException, getInnerThrowable, getObject, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegExComparator.RegExParsingException

    public RegExComparator.RegExParsingException(java.lang.String message)

  Constructs a RegExComparator$RegExParsingException object.
  Parameters:
    `message` - an error message

### RegExComparator.RegExParsingException

    public RegExComparator.RegExParsingException(java.lang.String message,
                                                 java.lang.Exception innerException)

  Constructs a RegExComparator$RegExParsingException object.
  Parameters:
    `message` - an error message
    `innerException` - a parsing exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD